diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.41/src/propagation/test/kun-2600-mhz-test-suite.cc ns-3.42/src/propagation/test/kun-2600-mhz-test-suite.cc
--- ns-3.41/src/propagation/test/kun-2600-mhz-test-suite.cc	2024-02-09 14:44:08.457794000 -0800
+++ ns-3.42/src/propagation/test/kun-2600-mhz-test-suite.cc	2024-05-29 15:29:47.160073800 -0700
@@ -123,12 +123,12 @@
 };
 
 Kun2600MhzPropagationLossModelTestSuite::Kun2600MhzPropagationLossModelTestSuite()
-    : TestSuite("kun-2600-mhz", SYSTEM)
+    : TestSuite("kun-2600-mhz", Type::SYSTEM)
 {
     LogComponentEnable("Kun2600MhzPropagationLossModelTest", LOG_LEVEL_ALL);
 
     AddTestCase(new Kun2600MhzPropagationLossModelTestCase(2000, 30, 1, 121.83, "dist=2000m"),
-                TestCase::QUICK);
+                TestCase::Duration::QUICK);
 }
 
 /// Static variable for test initialization
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.41/src/propagation/test/okumura-hata-test-suite.cc ns-3.42/src/propagation/test/okumura-hata-test-suite.cc
--- ns-3.41/src/propagation/test/okumura-hata-test-suite.cc	2024-02-09 14:44:08.457794000 -0800
+++ ns-3.42/src/propagation/test/okumura-hata-test-suite.cc	2024-05-29 15:29:47.160073800 -0700
@@ -146,7 +146,7 @@
 };
 
 OkumuraHataPropagationLossModelTestSuite::OkumuraHataPropagationLossModelTestSuite()
-    : TestSuite("okumura-hata", SYSTEM)
+    : TestSuite("okumura-hata", Type::SYSTEM)
 {
     LogComponentEnable("OkumuraHataPropagationLossModelTest", LOG_LEVEL_ALL);
     // reference values obtained with the octave scripts in src/propagation/test/reference/
@@ -160,7 +160,7 @@
                                                             LargeCity,
                                                             137.93,
                                                             "original OH Urban Large city"),
-                TestCase::QUICK);
+                TestCase::Duration::QUICK);
     AddTestCase(new OkumuraHataPropagationLossModelTestCase(freq,
                                                             2000,
                                                             30,
@@ -169,7 +169,7 @@
                                                             SmallCity,
                                                             137.88,
                                                             "original OH Urban small city"),
-                TestCase::QUICK);
+                TestCase::Duration::QUICK);
     AddTestCase(new OkumuraHataPropagationLossModelTestCase(freq,
                                                             2000,
                                                             30,
@@ -178,7 +178,7 @@
                                                             LargeCity,
                                                             128.03,
                                                             "original OH SubUrban"),
-                TestCase::QUICK);
+                TestCase::Duration::QUICK);
     AddTestCase(new OkumuraHataPropagationLossModelTestCase(freq,
                                                             2000,
                                                             30,
@@ -187,7 +187,7 @@
                                                             LargeCity,
                                                             110.21,
                                                             "original OH OpenAreas"),
-                TestCase::QUICK);
+                TestCase::Duration::QUICK);
 
     freq = 2.1140e9; // this will use the extended COST231 OH model
     AddTestCase(new OkumuraHataPropagationLossModelTestCase(freq,
@@ -198,7 +198,7 @@
                                                             LargeCity,
                                                             148.55,
                                                             "COST231 OH Urban Large city"),
-                TestCase::QUICK);
+                TestCase::Duration::QUICK);
     AddTestCase(
         new OkumuraHataPropagationLossModelTestCase(freq,
                                                     2000,
@@ -208,7 +208,7 @@
                                                     SmallCity,
                                                     150.64,
                                                     "COST231 OH Urban small city and suburban"),
-        TestCase::QUICK);
+        TestCase::Duration::QUICK);
 }
 
 /// Static variable for test initialization
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.41/src/propagation/test/probabilistic-v2v-channel-condition-model-test.cc ns-3.42/src/propagation/test/probabilistic-v2v-channel-condition-model-test.cc
--- ns-3.41/src/propagation/test/probabilistic-v2v-channel-condition-model-test.cc	2024-02-09 14:44:08.457794000 -0800
+++ ns-3.42/src/propagation/test/probabilistic-v2v-channel-condition-model-test.cc	2024-05-29 15:29:47.160073800 -0700
@@ -519,14 +519,14 @@
 };
 
 ProbabilisticV2vChCondModelsTestSuite::ProbabilisticV2vChCondModelsTestSuite()
-    : TestSuite("probabilistic-v2v-channel-condition-model", SYSTEM)
+    : TestSuite("probabilistic-v2v-channel-condition-model", Type::SYSTEM)
 {
     AddTestCase(new V2vUrbanProbChCondModelTestCase,
-                TestCase::QUICK); // test for a fully probabilistic model (NLOS vs LOS vs NLOSv), in
-                                  // V2V urban scenario
+                TestCase::Duration::QUICK); // test for a fully probabilistic model (NLOS vs LOS
+                                            // vs NLOSv), in V2V urban scenario
     AddTestCase(new V2vHighwayProbChCondModelTestCase,
-                TestCase::QUICK); // test for a fully probabilistic model (NLOS vs LOS vs NLOSv), in
-                                  // V2V highway scenario*/
+                TestCase::Duration::QUICK); // test for a fully probabilistic model (NLOS vs LOS
+                                            // vs NLOSv), in V2V highway scenario*/
 }
 
 /// Static variable for test initialization
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.41/src/propagation/test/propagation-loss-model-test-suite.cc ns-3.42/src/propagation/test/propagation-loss-model-test-suite.cc
--- ns-3.41/src/propagation/test/propagation-loss-model-test-suite.cc	2024-02-09 14:44:08.457794000 -0800
+++ ns-3.42/src/propagation/test/propagation-loss-model-test-suite.cc	2024-05-29 15:29:47.160073800 -0700
@@ -508,13 +508,13 @@
 };
 
 PropagationLossModelsTestSuite::PropagationLossModelsTestSuite()
-    : TestSuite("propagation-loss-model", UNIT)
+    : TestSuite("propagation-loss-model", Type::UNIT)
 {
-    AddTestCase(new FriisPropagationLossModelTestCase, TestCase::QUICK);
-    AddTestCase(new TwoRayGroundPropagationLossModelTestCase, TestCase::QUICK);
-    AddTestCase(new LogDistancePropagationLossModelTestCase, TestCase::QUICK);
-    AddTestCase(new MatrixPropagationLossModelTestCase, TestCase::QUICK);
-    AddTestCase(new RangePropagationLossModelTestCase, TestCase::QUICK);
+    AddTestCase(new FriisPropagationLossModelTestCase, TestCase::Duration::QUICK);
+    AddTestCase(new TwoRayGroundPropagationLossModelTestCase, TestCase::Duration::QUICK);
+    AddTestCase(new LogDistancePropagationLossModelTestCase, TestCase::Duration::QUICK);
+    AddTestCase(new MatrixPropagationLossModelTestCase, TestCase::Duration::QUICK);
+    AddTestCase(new RangePropagationLossModelTestCase, TestCase::Duration::QUICK);
 }
 
 /// Static variable for test initialization
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.41/src/propagation/test/three-gpp-ntn-propagation-loss-model-test-suite.cc ns-3.42/src/propagation/test/three-gpp-ntn-propagation-loss-model-test-suite.cc
--- ns-3.41/src/propagation/test/three-gpp-ntn-propagation-loss-model-test-suite.cc	1969-12-31 16:00:00.000000000 -0800
+++ ns-3.42/src/propagation/test/three-gpp-ntn-propagation-loss-model-test-suite.cc	2024-05-29 15:29:47.160073800 -0700
@@ -0,0 +1,241 @@
+/*
+ * Copyright (c) 2023 SIGNET Lab, Department of Information Engineering,
+ * University of Padova
+ *
+ * This program is free software; you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License version 2 as
+ * published by the Free Software Foundation;
+ *
+ * This program is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with this program; if not, write to the Free Software
+ * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ */
+
+#include "ns3/abort.h"
+#include "ns3/boolean.h"
+#include "ns3/channel-condition-model.h"
+#include "ns3/config.h"
+#include "ns3/constant-position-mobility-model.h"
+#include "ns3/constant-velocity-mobility-model.h"
+#include "ns3/double.h"
+#include "ns3/geocentric-constant-position-mobility-model.h"
+#include "ns3/log.h"
+#include "ns3/mobility-helper.h"
+#include "ns3/simulator.h"
+#include "ns3/test.h"
+#include "ns3/three-gpp-propagation-loss-model.h"
+#include "ns3/three-gpp-v2v-propagation-loss-model.h"
+
+using namespace ns3;
+
+NS_LOG_COMPONENT_DEFINE("ThreeGppNTNPropagationLossModelsTest");
+
+/**
+ * \ingroup propagation-tests
+ *
+ * Test case for the ThreeGppNTNPropagationLossModel classes.
+ * It computes the path loss between two nodes and compares it with the value
+ * obtained using the results provided in 3GPP TR 38.821.
+ */
+class ThreeGppNTNPropagationLossModelTestCase : public TestCase
+{
+  public:
+    ThreeGppNTNPropagationLossModelTestCase();
+
+    /**
+     * Description of a single test point
+     */
+    struct TestPoint
+    {
+        /**
+         * @brief Constructor
+         *
+         * @param distance  2D distance between the test nodes
+         * @param isLos     whether to compute the path loss for a channel LOS condition
+         * @param frequency carrier frequency in Hz
+         * @param pwrRxDbm  expected received power in dBm
+         * @param lossModel the propagation loss model to test
+         */
+        TestPoint(double distance,
+                  bool isLos,
+                  double frequency,
+                  double pwrRxDbm,
+                  Ptr<ThreeGppPropagationLossModel> lossModel)
+            : m_distance(distance),
+              m_isLos(isLos),
+              m_frequency(frequency),
+              m_pwrRxDbm(pwrRxDbm),
+              m_propagationLossModel(lossModel)
+        {
+        }
+
+        double m_distance;  //!< 2D distance between test nodes, in meters
+        bool m_isLos;       //!< if true LOS, if false NLOS
+        double m_frequency; //!< carrier frequency in Hz
+        double m_pwrRxDbm;  //!< received power in dBm
+        Ptr<ThreeGppPropagationLossModel> m_propagationLossModel; //!< the path loss model to test
+    };
+
+  private:
+    /**
+     * Build the simulation scenario and run the tests
+     */
+    void DoRun() override;
+
+    /**
+     * Test the channel gain for a specific parameter configuration,
+     * by comparing the antenna gain obtained using CircularApertureAntennaModel::GetGainDb
+     * and the one of manually computed test instances.
+     *
+     * @param testPoint the parameter configuration to be tested
+     */
+    void TestChannelGain(TestPoint testPoint);
+};
+
+ThreeGppNTNPropagationLossModelTestCase::ThreeGppNTNPropagationLossModelTestCase()
+    : TestCase("Creating ThreeGppNTNPropagationLossModelTestCase")
+
+{
+}
+
+void
+ThreeGppNTNPropagationLossModelTestCase::DoRun()
+{
+    // Create the PLMs and disable shadowing to obtain deterministic results
+    Ptr<ThreeGppNTNDenseUrbanPropagationLossModel> denseUrbanModel =
+        CreateObject<ThreeGppNTNDenseUrbanPropagationLossModel>();
+    denseUrbanModel->SetAttribute("ShadowingEnabled", BooleanValue(false));
+    Ptr<ThreeGppNTNUrbanPropagationLossModel> urbanModel =
+        CreateObject<ThreeGppNTNUrbanPropagationLossModel>();
+    urbanModel->SetAttribute("ShadowingEnabled", BooleanValue(false));
+    Ptr<ThreeGppNTNSuburbanPropagationLossModel> suburbanModel =
+        CreateObject<ThreeGppNTNSuburbanPropagationLossModel>();
+    suburbanModel->SetAttribute("ShadowingEnabled", BooleanValue(false));
+    Ptr<ThreeGppNTNRuralPropagationLossModel> ruralModel =
+        CreateObject<ThreeGppNTNRuralPropagationLossModel>();
+    ruralModel->SetAttribute("ShadowingEnabled", BooleanValue(false));
+
+    //  Vector of test points
+    std::vector<TestPoint> testPoints = {
+        // LOS, test points are identical for all path loss models, since the LOS path loss
+        // is independent from the specific class.
+        // Dense-Urban LOS
+        {35786000, true, 20.0e9, -209.915, denseUrbanModel},
+        {35786000, true, 30.0e9, -213.437, denseUrbanModel},
+        {35786000, true, 2.0e9, -191.744, denseUrbanModel},
+        {600000, true, 20.0e9, -174.404, denseUrbanModel},
+        {600000, true, 30.0e9, -177.925, denseUrbanModel},
+        {600000, true, 2.0e9, -156.233, denseUrbanModel},
+        {1200000, true, 20.0e9, -180.424, denseUrbanModel},
+        {1200000, true, 30.0e9, -183.946, denseUrbanModel},
+        {1200000, true, 2.0e9, -162.253, denseUrbanModel},
+        // Urban LOS
+        {35786000, true, 20.0e9, -209.915, urbanModel},
+        {35786000, true, 30.0e9, -213.437, urbanModel},
+        {35786000, true, 2.0e9, -191.744, urbanModel},
+        {600000, true, 20.0e9, -174.404, urbanModel},
+        {600000, true, 30.0e9, -177.925, urbanModel},
+        {600000, true, 2.0e9, -156.233, urbanModel},
+        {1200000, true, 20.0e9, -180.424, urbanModel},
+        {1200000, true, 30.0e9, -183.946, urbanModel},
+        {1200000, true, 2.0e9, -162.253, urbanModel},
+        // Suburban LOS
+        {35786000, true, 20.0e9, -209.915, suburbanModel},
+        {35786000, true, 30.0e9, -213.437, suburbanModel},
+        {35786000, true, 2.0e9, -191.744, suburbanModel},
+        {600000, true, 20.0e9, -174.404, suburbanModel},
+        {600000, true, 30.0e9, -177.925, suburbanModel},
+        {600000, true, 2.0e9, -156.233, suburbanModel},
+        {1200000, true, 20.0e9, -180.424, suburbanModel},
+        {1200000, true, 30.0e9, -183.946, suburbanModel},
+        {1200000, true, 2.0e9, -162.253, suburbanModel},
+        // Rural LOS
+        {35786000, true, 20.0e9, -209.915, ruralModel},
+        {35786000, true, 30.0e9, -213.437, ruralModel},
+        {35786000, true, 2.0e9, -191.744, ruralModel},
+        {600000, true, 20.0e9, -174.404, ruralModel},
+        {600000, true, 30.0e9, -177.925, ruralModel},
+        {600000, true, 2.0e9, -156.233, ruralModel},
+        {1200000, true, 20.0e9, -180.424, ruralModel},
+        {1200000, true, 30.0e9, -183.946, ruralModel},
+        {1200000, true, 2.0e9, -162.253, ruralModel}};
+
+    // Call TestChannelGain on each test point
+    for (auto& point : testPoints)
+    {
+        TestChannelGain(point);
+    }
+}
+
+void
+ThreeGppNTNPropagationLossModelTestCase::TestChannelGain(TestPoint testPoint)
+{
+    // Create the nodes for BS and UT
+    NodeContainer nodes;
+    nodes.Create(2);
+
+    // Create the mobility models
+    Ptr<MobilityModel> a = CreateObject<GeocentricConstantPositionMobilityModel>();
+    nodes.Get(0)->AggregateObject(a);
+    Ptr<MobilityModel> b = CreateObject<GeocentricConstantPositionMobilityModel>();
+    nodes.Get(1)->AggregateObject(b);
+
+    // Set fixed position of one of the nodes
+    Vector posA = Vector(0.0, 0.0, 0.0);
+    a->SetPosition(posA);
+    Vector posB = Vector(0.0, 0.0, testPoint.m_distance);
+    b->SetPosition(posB);
+
+    // Declare condition model
+    Ptr<ChannelConditionModel> conditionModel;
+
+    // Set the channel condition using a deterministic channel condition model
+    if (testPoint.m_isLos)
+    {
+        conditionModel = CreateObject<AlwaysLosChannelConditionModel>();
+    }
+    else
+    {
+        conditionModel = CreateObject<NeverLosChannelConditionModel>();
+    }
+
+    testPoint.m_propagationLossModel->SetChannelConditionModel(conditionModel);
+    testPoint.m_propagationLossModel->SetAttribute("Frequency", DoubleValue(testPoint.m_frequency));
+    NS_TEST_EXPECT_MSG_EQ_TOL(testPoint.m_propagationLossModel->CalcRxPower(0.0, a, b),
+                              testPoint.m_pwrRxDbm,
+                              5e-3,
+                              "Obtained unexpected received power");
+
+    Simulator::Destroy();
+}
+
+/**
+ * \ingroup propagation-tests
+ *
+ * \brief 3GPP NTN Propagation models TestSuite
+ *
+ * This TestSuite tests the following models:
+ *   - ThreeGppNTNDenseUrbanPropagationLossModel
+ *   - ThreeGppNTNUrbanPropagationLossModel
+ *   - ThreeGppNTNSuburbanPropagationLossModel
+ *   - ThreeGppNTNRuralPropagationLossModel
+ */
+class ThreeGppNTNPropagationLossModelsTestSuite : public TestSuite
+{
+  public:
+    ThreeGppNTNPropagationLossModelsTestSuite();
+};
+
+ThreeGppNTNPropagationLossModelsTestSuite::ThreeGppNTNPropagationLossModelsTestSuite()
+    : TestSuite("three-gpp-ntn-propagation-loss-model", Type::UNIT)
+{
+    AddTestCase(new ThreeGppNTNPropagationLossModelTestCase(), Duration::QUICK);
+}
+
+/// Static variable for test initialization
+static ThreeGppNTNPropagationLossModelsTestSuite g_propagationLossModelsTestSuite;
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.41/src/propagation/test/three-gpp-propagation-loss-model-test-suite.cc ns-3.42/src/propagation/test/three-gpp-propagation-loss-model-test-suite.cc
--- ns-3.41/src/propagation/test/three-gpp-propagation-loss-model-test-suite.cc	2024-02-09 14:44:08.457794000 -0800
+++ ns-3.42/src/propagation/test/three-gpp-propagation-loss-model-test-suite.cc	2024-05-29 15:29:47.160073800 -0700
@@ -167,10 +167,8 @@
         CreateObject<ThreeGppRmaPropagationLossModel>();
     lossModel->SetAttribute("ShadowingEnabled", BooleanValue(false)); // disable the shadow fading
 
-    for (std::size_t i = 0; i < m_testVectors.GetN(); i++)
+    for (const auto& testVector : m_testVectors)
     {
-        TestVector testVector = m_testVectors.Get(i);
-
         Vector posBs = Vector(0.0, 0.0, 35.0);
         Vector posUt = Vector(testVector.m_distance, 0.0, 1.5);
 
@@ -1325,15 +1323,15 @@
 };
 
 ThreeGppPropagationLossModelsTestSuite::ThreeGppPropagationLossModelsTestSuite()
-    : TestSuite("three-gpp-propagation-loss-model", UNIT)
+    : TestSuite("three-gpp-propagation-loss-model", Type::UNIT)
 {
-    AddTestCase(new ThreeGppRmaPropagationLossModelTestCase, TestCase::QUICK);
-    AddTestCase(new ThreeGppUmaPropagationLossModelTestCase, TestCase::QUICK);
-    AddTestCase(new ThreeGppUmiPropagationLossModelTestCase, TestCase::QUICK);
-    AddTestCase(new ThreeGppIndoorOfficePropagationLossModelTestCase, TestCase::QUICK);
-    AddTestCase(new ThreeGppV2vUrbanPropagationLossModelTestCase, TestCase::QUICK);
-    AddTestCase(new ThreeGppV2vHighwayPropagationLossModelTestCase, TestCase::QUICK);
-    AddTestCase(new ThreeGppShadowingTestCase, TestCase::QUICK);
+    AddTestCase(new ThreeGppRmaPropagationLossModelTestCase, TestCase::Duration::QUICK);
+    AddTestCase(new ThreeGppUmaPropagationLossModelTestCase, TestCase::Duration::QUICK);
+    AddTestCase(new ThreeGppUmiPropagationLossModelTestCase, TestCase::Duration::QUICK);
+    AddTestCase(new ThreeGppIndoorOfficePropagationLossModelTestCase, TestCase::Duration::QUICK);
+    AddTestCase(new ThreeGppV2vUrbanPropagationLossModelTestCase, TestCase::Duration::QUICK);
+    AddTestCase(new ThreeGppV2vHighwayPropagationLossModelTestCase, TestCase::Duration::QUICK);
+    AddTestCase(new ThreeGppShadowingTestCase, TestCase::Duration::QUICK);
 }
 
 /// Static variable for test initialization
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.41/src/sixlowpan/examples/example-ping-lr-wpan-beacon.cc ns-3.42/src/sixlowpan/examples/example-ping-lr-wpan-beacon.cc
--- ns-3.41/src/sixlowpan/examples/example-ping-lr-wpan-beacon.cc	2024-02-09 14:44:08.457794000 -0800
+++ ns-3.42/src/sixlowpan/examples/example-ping-lr-wpan-beacon.cc	2024-05-29 15:29:47.160073800 -0700
@@ -29,13 +29,14 @@
 #include <fstream>
 
 using namespace ns3;
+using namespace ns3::lrwpan;
 
 static void
 DataSentMacConfirm(Ptr<LrWpanNetDevice> device, McpsDataConfirmParams params)
 {
     // In the case of transmissions with the Ack flag activated, the transaction is only
     // successful if the Ack was received.
-    if (params.m_status == LrWpanMacStatus::SUCCESS)
+    if (params.m_status == MacStatus::SUCCESS)
     {
         std::cout << Simulator::Now().As(Time::S) << " | Node " << device->GetNode()->GetId()
                   << " | Transmission successfully sent\n";
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.41/src/sixlowpan/model/sixlowpan-header.cc ns-3.42/src/sixlowpan/model/sixlowpan-header.cc
--- ns-3.41/src/sixlowpan/model/sixlowpan-header.cc	2024-02-09 14:44:08.457794000 -0800
+++ ns-3.42/src/sixlowpan/model/sixlowpan-header.cc	2024-05-29 15:29:47.160073800 -0700
@@ -144,8 +144,6 @@
         serializedSize += 16;
         break;
     case HC1_PIIC:
-        serializedSize += 8;
-        break;
     case HC1_PCII:
         serializedSize += 8;
         break;
@@ -158,8 +156,6 @@
         serializedSize += 16;
         break;
     case HC1_PIIC:
-        serializedSize += 8;
-        break;
     case HC1_PCII:
         serializedSize += 8;
         break;
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.41/src/sixlowpan/model/sixlowpan-net-device.cc ns-3.42/src/sixlowpan/model/sixlowpan-net-device.cc
--- ns-3.41/src/sixlowpan/model/sixlowpan-net-device.cc	2024-02-09 14:44:08.461794100 -0800
+++ ns-3.42/src/sixlowpan/model/sixlowpan-net-device.cc	2024-05-29 15:29:47.160073800 -0700
@@ -180,7 +180,7 @@
     m_node = nullptr;
 
     m_timeoutEventList.clear();
-    if (m_timeoutEvent.IsRunning())
+    if (m_timeoutEvent.IsPending())
     {
         m_timeoutEvent.Cancel();
     }
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.41/src/sixlowpan/test/sixlowpan-fragmentation-test.cc ns-3.42/src/sixlowpan/test/sixlowpan-fragmentation-test.cc
--- ns-3.41/src/sixlowpan/test/sixlowpan-fragmentation-test.cc	2024-02-09 14:44:08.461794100 -0800
+++ ns-3.42/src/sixlowpan/test/sixlowpan-fragmentation-test.cc	2024-05-29 15:29:47.160073800 -0700
@@ -492,9 +492,9 @@
 };
 
 SixlowpanFragmentationTestSuite::SixlowpanFragmentationTestSuite()
-    : TestSuite("sixlowpan-fragmentation", UNIT)
+    : TestSuite("sixlowpan-fragmentation", Type::UNIT)
 {
-    AddTestCase(new SixlowpanFragmentationTest(), TestCase::QUICK);
+    AddTestCase(new SixlowpanFragmentationTest(), TestCase::Duration::QUICK);
 }
 
 static SixlowpanFragmentationTestSuite
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.41/src/sixlowpan/test/sixlowpan-hc1-test.cc ns-3.42/src/sixlowpan/test/sixlowpan-hc1-test.cc
--- ns-3.41/src/sixlowpan/test/sixlowpan-hc1-test.cc	2024-02-09 14:44:08.461794100 -0800
+++ ns-3.42/src/sixlowpan/test/sixlowpan-hc1-test.cc	2024-05-29 15:29:47.160073800 -0700
@@ -225,9 +225,9 @@
 };
 
 SixlowpanHc1TestSuite::SixlowpanHc1TestSuite()
-    : TestSuite("sixlowpan-hc1", UNIT)
+    : TestSuite("sixlowpan-hc1", Type::UNIT)
 {
-    AddTestCase(new SixlowpanHc1ImplTest(), TestCase::QUICK);
+    AddTestCase(new SixlowpanHc1ImplTest(), TestCase::Duration::QUICK);
 }
 
 static SixlowpanHc1TestSuite g_sixlowpanHc1TestSuite; //!< Static variable for test initialization
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.41/src/sixlowpan/test/sixlowpan-iphc-stateful-test.cc ns-3.42/src/sixlowpan/test/sixlowpan-iphc-stateful-test.cc
--- ns-3.41/src/sixlowpan/test/sixlowpan-iphc-stateful-test.cc	2024-02-09 14:44:08.461794100 -0800
+++ ns-3.42/src/sixlowpan/test/sixlowpan-iphc-stateful-test.cc	2024-05-29 15:29:47.160073800 -0700
@@ -390,9 +390,9 @@
 };
 
 SixlowpanIphcStatefulTestSuite::SixlowpanIphcStatefulTestSuite()
-    : TestSuite("sixlowpan-iphc-stateful", UNIT)
+    : TestSuite("sixlowpan-iphc-stateful", Type::UNIT)
 {
-    AddTestCase(new SixlowpanIphcStatefulImplTest(), TestCase::QUICK);
+    AddTestCase(new SixlowpanIphcStatefulImplTest(), TestCase::Duration::QUICK);
 }
 
 static SixlowpanIphcStatefulTestSuite
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.41/src/sixlowpan/test/sixlowpan-iphc-test.cc ns-3.42/src/sixlowpan/test/sixlowpan-iphc-test.cc
--- ns-3.41/src/sixlowpan/test/sixlowpan-iphc-test.cc	2024-02-09 14:44:08.461794100 -0800
+++ ns-3.42/src/sixlowpan/test/sixlowpan-iphc-test.cc	2024-05-29 15:29:47.160073800 -0700
@@ -223,9 +223,9 @@
 };
 
 SixlowpanIphcTestSuite::SixlowpanIphcTestSuite()
-    : TestSuite("sixlowpan-iphc", UNIT)
+    : TestSuite("sixlowpan-iphc", Type::UNIT)
 {
-    AddTestCase(new SixlowpanIphcImplTest(), TestCase::QUICK);
+    AddTestCase(new SixlowpanIphcImplTest(), TestCase::Duration::QUICK);
 }
 
 static SixlowpanIphcTestSuite g_sixlowpanIphcTestSuite; //!< Static variable for test initialization
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.41/src/spectrum/CMakeLists.txt ns-3.42/src/spectrum/CMakeLists.txt
--- ns-3.41/src/spectrum/CMakeLists.txt	2024-02-09 14:44:08.461794100 -0800
+++ ns-3.42/src/spectrum/CMakeLists.txt	2024-05-29 15:29:47.164073700 -0700
@@ -36,7 +36,6 @@
     model/trace-fading-loss-model.cc
     model/tv-spectrum-transmitter.cc
     model/waveform-generator.cc
-    model/wifi-spectrum-value-helper.cc
 )
 
 set(header_files
@@ -77,7 +76,6 @@
     model/trace-fading-loss-model.h
     model/tv-spectrum-transmitter.h
     model/waveform-generator.h
-    model/wifi-spectrum-value-helper.h
     test/spectrum-test.h
 )
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.41/src/spectrum/examples/CMakeLists.txt ns-3.42/src/spectrum/examples/CMakeLists.txt
--- ns-3.41/src/spectrum/examples/CMakeLists.txt	2024-02-09 14:44:08.493794200 -0800
+++ ns-3.42/src/spectrum/examples/CMakeLists.txt	2024-05-29 15:29:47.168073700 -0700
@@ -65,3 +65,12 @@
     ${libmobility}
     ${libspectrum}
 )
+
+build_lib_example(
+  NAME three-gpp-ntn-channel-example
+  SOURCE_FILES three-gpp-ntn-channel-example.cc
+  LIBRARIES_TO_LINK
+    ${libcore}
+    ${libmobility}
+    ${libspectrum}
+)
